/**
 *@file isr.c
 *
 *@brief Aurion isr source file
 * contains all code to handel interrupt service routines
 *
 *@author Adriaan Larmuseau
 *
 *@version 0.0.2
 *
 *@date 08/05/08
 */

#include "isr.h"
#include "video.h"

/** 
 *@var const char * interrupt_message[] 
 *
 *@brief Contains the message to be displayed by the interrupt
 */
const char * interrupt_message[] =
{
	"Division By Zero",
    "Debug",
    "Non Maskable Interrupt",
    "Breakpoint",
    "Into Detected Overflow",
    "Out of Bounds",
    "Invalid Opcode",
    "No Coprocessor",
    "Double Fault",
    "Coprocessor Segment Overrun",
    "Bad TSS",
    "Segment Not Present",
    "Stack Fault",
    "General Protection Fault",
    "Page Fault",
    "Unknown Interrupt",
    "Coprocessor Fault",
    "Alignment Check error",
    "Machine Check error",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer",
    "Reserved by Processor Manufacturer"
};


void isr_handler(register_t regs)
{

	print("\n !interrupt::");

	print(interrupt_message[regs.int_no]);

	print(" error code :");

	print_int(regs.err_code);

} 
