/**
 *@file isr.h
 *
 *@brief Aurion isr header file
 * inlcudes all routines and structs for handling interrupt services
 *
 *@author Adriaan Larmuseau
 *
 *@version 0.0.2
 *
 *@date 23/04/08
 */

#ifndef AURION_INTERRUPTSERVICE_HEADER
#define AURION_INTERRUPTSERVICE_HEADER

#include "global.h"

/**
 *@struct registers_t_struct
 *
 *@brief storage container for interrupt information
 */
struct registers_t_struct
{
  int32u ds;

  int32u edi, esi, ebp, esp, ebx, edx, ecx, eax;

  int32u int_no, err_code;

  int32u eip, cs, eflags, useresp, ss; 

};

/** 
 * @typedef register_t
 *
 * @brief make the struct registers_t_struct a type
 */
typedef struct registers_t_struct register_t;


#endif
